Skip to main content
GET
Fetch a subscription

Authorizations

Authorization
string
header
required

Use your Razorpay Key ID as the username and Key Secret as the password.

Path Parameters

id
string
required

Unique identifier of the subscription.

Example:

"sub_00000000000001"

Response

Subscription details retrieved successfully.

A Razorpay Subscription object.

id
string

Unique identifier of the subscription.

Example:

"sub_00000000000001"

entity
string

Entity type. Always subscription.

Example:

"subscription"

plan_id
string

Unique identifier of the plan associated with this subscription.

Example:

"plan_00000000000001"

status
enum<string>

Current status of the subscription.

Available options:
created,
authenticated,
active,
pending,
halted,
cancelled,
completed,
expired
Example:

"created"

total_count
integer

Total number of billing cycles in the subscription.

Example:

6

paid_count
integer

Number of billing cycles that have been successfully paid.

Example:

0

remaining_count
integer

Number of billing cycles remaining.

Example:

6

customer_notify
enum<integer>

Indicates whether the customer should be notified. 1 for yes, 0 for no.

Available options:
0,
1
Example:

1

start_at
integer | null

Unix timestamp at which the subscription starts billing.

Example:

1580453311

end_at
integer | null

Unix timestamp at which the subscription ends.

Example:

null

charge_at
integer | null

Unix timestamp of the next scheduled charge.

Example:

1580453311

created_at
integer

Unix timestamp at which the subscription was created.

Example:

1580453311